Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Class KnotType

    Object
      CodeList<KnotType>
          KnotType

All Implemented Interfaces:
  Serializable, Comparable<KnotType>

    @UML(identifier="GM_KnotType",
         specification=ISO_19107)
    public class KnotType

extends CodeList<KnotType>

The type of a B-spline. A B-spline is uniform if and only if all knots are of multiplicity 1 and they differ by a positive constant from the preceding knot. A B-spline is quasi-uniform if and only if the knots are of multiplicity (degree+1) at the ends, of multiplicity 1 elsewhere, and they differ by a positive constant from the preceding knot. This code list is used to describe the distribution of knots in the parameter space of various splines.

Since:
  GeoAPI 2.0
Version:
  ISO 19107
See Also:
  Serialized Form

Field Summary
`static KnotType` | `PIECEWISE_BEZIER` The form of knots is appropriate for a piecewise Bezier curve.
`static KnotType` | `QUASI_UNIFORM` The form of knots is appropriate for a quasi-uniform B-spline.
`static KnotType` | `UNIFORM` The form of knots is appropriate for a uniform B-spline.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static KnotType` | `valueOf(String code)` Returns the KnotType that matches the given string, or returns a new one if none match it.
`static KnotType[]` | `values()` Returns the list of `KnotType`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNIFORM

    @UML(identifier="uniform",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final KnotType UNIFORM

  The form of knots is appropriate for a uniform B-spline.

### QUASI_UNIFORM

    @UML(identifier="quasiUniform",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final KnotType QUASI_UNIFORM

  The form of knots is appropriate for a quasi-uniform B-spline.

### PIECEWISE_BEZIER

    @UML(identifier="piecewiseBezier",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    public static final KnotType PIECEWISE_BEZIER

  The form of knots is appropriate for a piecewise Bezier curve.

Method Detail

### values

    public static KnotType[] values()

  Returns the list of `KnotType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<KnotType>`

### valueOf

    public static KnotType valueOf(String code)

  Returns the KnotType that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.